
#ifdef OPENGL_ES
precision highp float;
#endif

// Uniforms
uniform sampler2D u_diffuseTexture;             // Diffuse map texture
uniform vec3 u_ambientColor;                    // Ambient color
uniform vec3 u_lightColor;                      // Light color
uniform vec3 u_lightDirection;					// Light direction


// Varyings
varying vec3 v_normalVector;                    // Normal vector in view space
varying vec2 v_texCoord;                        // Texture coordinate


void main() {
    // Sample the diffuse texture for base color
//    _baseColor = texture2D(u_diffuseTexture, v_texCoord);

	float rr = length(v_texCoord - 0.5);
	float lv = (0.5 - rr) * 2.0;
	gl_FragColor.rgba = vec4(lv,lv,lv, 1.0);
}
