// @file particle100.frag

#ifdef OPENGL_ES
precision highp float;
#endif

// Uniforms
uniform sampler2D u_diffuseTexture;             // Diffuse map texture
uniform vec3 u_ambientColor;                    // Ambient color
uniform vec3 u_lightColor;                      // Light color
uniform vec4 u_diffuseColor;


// Varyings
varying vec2 v_texCoord;                        // Texture coordinate
varying vec4 v_0;


void main() {
#ifdef TEXPARTICLE
	gl_FragColor = texture2D(u_diffuseTexture, v_texCoord);
#else
	float rr = length(v_texCoord - 0.5);
	float lv = (0.5 - rr) * 2.0;
	gl_FragColor.rgb = u_diffuseColor.rgb * lv;
//	gl_FragColor.rgb = v_0;
	gl_FragColor.a = 1.0;
#endif
}
