// @file rain.vert

attribute vec4 a_position;
attribute vec3 a_normal;
attribute vec2 a_texCoord;

uniform mat4 u_worldMatrix;
uniform mat4 u_viewMatrix;
uniform mat4 u_projectionMatrix;

uniform vec4 u_matrixPalette[SKINNING_JOINT_COUNT * 3];		// Array of 4x3 matrices

uniform float u_speed;
uniform float u_spread;
uniform float u_c;

varying vec2 v_texCoord;

varying vec4 v_0;

#include "skinning-none.vert" 

#define PI 3.141592
#define PI2 (PI * 2.0)

void main() {
	v_texCoord = a_texCoord;

	vec4 position = a_position;
	float id = position.z;

	vec4 sk = vec4(u_matrixPalette[0].w,
		u_matrixPalette[1].w,
		u_matrixPalette[2].w,
		1);

	float t = id * 3.1 + u_speed * sk.z;
	float index = floor(t);
	float topo = frac(t);

	float rad = u_spread;
	float x = cos(index * 7.0);
	float y = 10.0 - 20.0 * topo;
	float z = sin(index * 11.1);

	vec4 oPos = vec4(rad*x, y, rad*z, 1.0);
	vec4 wPos = u_worldMatrix * oPos;
	vec4 viewPos = u_viewMatrix * wPos;

// JWnő
	float side = 0.125;

	viewPos.x += position.x * side * 0.5;
	viewPos.y += position.y * side * 0.5 * 100.0;
	vec4 pPos = u_projectionMatrix * viewPos;

	gl_Position = pPos;
}
